/*!
Theme Name: Standish
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Standish
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
.standish-single-event .date:first-letter {
    text-transform: uppercase !important;
}
.standish-single-event .date {
    text-transform: lowercase !important;
}

/****
  THEME COLORS
    var(--global-palette1); Accent
    var(--global-palette2); Accent Hover
    var(--global-palette3); Strongest Text (H1, H2, H3)
    var(--global-palette4); Strong Text (H4, H5 et Paragraphe)
    var(--global-palette5); Medium Text (H6)
    var(--global-palette6); Subtle Text (Formulaire, Search...)
    var(--global-palette7); Subtle Background (Formulaire, Search...)
    var(--global-palette8); Lighter Background 
    var(--global-palette9); White
****/

@media (max-width: 600px) {
 .responsive-form {
 position: relative;
 overflow: hidden;
 padding-top: 55.556%;
 }
 .responsive-form iframe {
 position: absolute;
 top: 0; left: 0;
 width: 100%; height: 100%;
 }
 }

 .wp-block-kadence-infobox .kt-blocks-info-box-media-align-right{
    justify-content: space-between !important;
 }
li.current-menu-item a:hover {
    background: white !important;
    color: black !important;
}
body.home{
    background-color:var(--global-palette9) !important;
}
.wp-block-kadence-column.clickable-column {
    cursor: pointer;
}
/* Buttons */
span.kt-btn-inner-text {
    text-align: left;
}
.wp-block-kadence-advancedbtn.contact a.adresse {
    align-items: start;
}
.wp-block-kadence-advancedbtn.contact a.adresse > .kb-svg-icon-wrap{
    margin-top: 3px;
}

/****
  MODULE D'ÉVÉNEMENTS
****/

.calendar-container .standish-single-event .date,
.standish-single-evenement .date{
    text-transform: lowercase !important;
}
.calendar-container .standish-single-event .date:first-letter,
.standish-single-evenement .date:first-letter{
    text-transform: uppercase !important;
}
.calendar-sidebar {
    border-radius: 40px 0 0 40px !important;
}
#standish-events-calendar-results{
    border-radius: 0 40px 40px 0 !important;
}
#standish-events-calendar button.vanilla-calendar-day__btn.vanilla-calendar-day__btn_today{
    width: 3em !important;
    height: 3em !important;
}
#standish-events-calendar button.vanilla-calendar-day__btn.vanilla-calendar-day__btn_today {
    border: solid 2px white !important;
}

#standish-events-calendar .vanilla-calendar-day__btn_disabled, 
#standish-events-calendar .vanilla-calendar-months__month.vanilla-calendar-months__month_disabled, 
#standish-events-calendar .vanilla-calendar-years__year.vanilla-calendar-years__year_disabled, 
#standish-events-calendar .vanilla-calendar-months__month.vanilla-calendar-months__month_disabled, 
#standish-events-calendar .vanilla-calendar-years__year.vanilla-calendar-years__year_disabled, 
#standish-events-calendar .vanilla-calendar-day__btn_disabled, 
#standish-events-calendar button.vanilla-calendar-day__btn.vanilla-calendar-day__btn_disabled, 
#standish-events-calendar button.vanilla-calendar-day__btn.vanilla-calendar-day__btn_disabled.vanilla-calendar-day__btn_weekend, 
#standish-events-calendar button.vanilla-calendar-day__btn.vanilla-calendar-day__btn_holiday.vanilla-calendar-day__btn_disabled{
    opacity: 0.6 !important;
}
#standish-events-calendar button.vanilla-calendar-day__btn.vanilla-calendar-day__btn_today{
    opacity: 1 !important;
}

#standish-events-calendar button.vanilla-calendar-day__btn:hover{
    color: inherit !important;
    background: var(--global-palette2) !important;
}
.standish-evenements-container .image {
    border-radius: 40px 40px 0 0 !important;
}
.standish-evenements-container.standish_evenements .standish-single-event .content{
    border-radius: 0 0 40px 40px !important;
    background-color: var(--global-palette9) !important;
}
.standish-single-event a.btn-event-link {
    font-size: 16px !important;
    font-weight: 500 !important;
    letter-spacing: 0 !important;
    text-transform: inherit !important;
    text-decoration: underline !important;
    color: var(--global-palette3)!important;
}
.standish-single-event a.btn-event-link:hover {
    color: var(--global-palette1)!important;
}
@media only screen and (max-width:768px){
    .calendar-sidebar {
        border-radius: 40px 40px 0 0 !important;
    }
    #standish-events-calendar-results {
        border-radius: 0 0 40px 40px !important;
    }
    .calendar-sidebar h2 {
        margin: 0px !important;
    }
}

/****
  CATÉGORIES D'ARTICLE DE BLOGUE
****/
body.single-post .wp-block-image img,
body.single-post .wp-block-kadence-image img{
    border-radius: 40px;
}
article.loop-entry a.post-thumbnail {
    border-radius: 40px 40px 0 0;
}
article.entry.loop-entry{
    background-color: transparent;
    box-shadow: none;
    display: flex !important;
    flex-direction: column !important;
}
article.entry.loop-entry .entry-content-wrap{
    background-color: white;
    border-radius: 0 0 40px 40px;
    height: 100%;
}
body.home .wp-block-kadence-column.sidebar article.kt-blocks-post-grid-item:first-child {
    padding-top: 0px !important;
}
body.home .wp-block-kadence-column.sidebar .kadence-post-image-inner-intrisic img {
    border-radius: 20px;
}
body.home .wp-block-kadence-column.sidebar article.kt-blocks-post-grid-item,
body.single-post article.kt-blocks-post-grid-item{
    border-bottom: solid 1px rgb(0 0 0 / 15%) !important;
    padding-bottom: 20px !important;
    padding-top: 20px !important;
}
body.home .wp-block-kadence-column.sidebar article.kt-blocks-post-grid-item:last-child,
body.single-post article.kt-blocks-post-grid-item:last-child {
    border-bottom: 0px !important;
    padding-bottom: 0px !important;
}
body.single-post .post-thumbnail.article-post-thumbnail{
    border-radius: 40px;
}
body.home .kt-blocks-post-grid-item-inner header .entry-title a {
      display: -webkit-box !important;
      -webkit-line-clamp: 2 !important; /* Display 3 lines */
      -webkit-box-orient: vertical !important;
      overflow: hidden !important;
}
body.home .wp-block-kadence-column.emplois .emploi p {
    display: -webkit-box !important;
    -webkit-line-clamp: 3 !important;
    -webkit-box-orient: vertical !important;
    overflow: hidden !important;
}
body.home .wp-block-kadence-column.main .kt-feat-image-align-left {
    background-color: white;
/*    grid-template-columns: 100% auto;*/
}
body.home .wp-block-kadence-column.main .kt-blocks-post-grid-item-inner {
    position: absolute;
    right: 0px !important;
    max-width: 37%;
    background: white;
    height: 100%;
    border-radius: 0 40px 40px 0;
}
body.home .kt-blocks-post-loop-block .kt-post-grid-layout-grid-wrap>.kt-blocks-post-grid-item{
    border-radius: 40px;
}
body.home .wp-block-kadence-column.sidebar .kt-blocks-post-loop-block .kt-post-grid-layout-grid-wrap>.kt-blocks-post-grid-item{
    border-radius: 0px;
}
body.home .wp-block-kadence-column.main article.kt-blocks-post-grid-item{
    border-radius: 40px;
}

body.home .wp-block-kadence-column.main .kadence-post-image-intrisic .kadence-post-image-inner-intrisic{
    position: relative !important;
    border-radius: 40px 0 0 40px;
    aspect-ratio: 1 / 1;
}

@media only screen and (max-width:768px){
    body.home .wp-block-kadence-column.main .kadence-post-image-intrisic {
        padding-bottom: 75% !important;
    }
    body.home .wp-block-kadence-column.main .kadence-post-image-intrisic .kadence-post-image-inner-intrisic {
        border-radius: 40px 40px 0 0px;
    }
    body.home .wp-block-kadence-column.main article.kt-blocks-post-grid-item{
        border-radius: 40px 40px 0 0;
    }
    body.home .wp-block-kadence-column.main .kt-blocks-post-grid-item-inner{
        max-width: 100% !important;
        border-radius: 0px 0px 40px 40px;
    }
    body.home .wp-block-kadence-column.main,
    body.home .wp-block-kadence-column.main .wp-block-kadence-postgrid,
    body.home .wp-block-kadence-column.main article.kt-blocks-post-grid-item,
    body.home .wp-block-kadence-column.sidebar,
    body.home .wp-block-kadence-column.main .kt-blocks-post-grid-item-inner {
        height: inherit;
        min-height: inherit;
    }
/*    body.home .wp-block-kadence-column.sidebar article.kt-blocks-post-grid-item {
        border-bottom: 0px !important;
        padding-bottom: 0px !important;
        padding-top: 0px !important;
    }*/
        body.home .wp-block-kadence-column.main a.kb-button{
            max-width: fit-content;
        }
        body.home .wp-block-kadence-column.main .wp-block-kadence-advancedbtn{
            position: absolute;
            top: 55px;
        }
    body.home .wp-block-kadence-column.sidebar .kt-post-grid-layout-grid-wrap.kt-post-grid-wrap {
        display: grid;
        grid-template-columns: 100%;
    }
}
@media only screen and (min-width:769px) and (max-width:1024px){

    body.home .wp-block-kadence-column.sidebar .kt-post-grid-layout-grid-wrap.kt-post-grid-wrap{
        display: grid;
        grid-template-columns: 33% 33% 33%;
    }
    body.home .wp-block-kadence-column.main,
    body.home .wp-block-kadence-column.main .wp-block-kadence-postgrid,
    body.home .wp-block-kadence-column.main article.kt-blocks-post-grid-item,
    body.home .wp-block-kadence-column.sidebar,
    body.home .wp-block-kadence-column.main .kt-blocks-post-grid-item-inner {
/*        height: 520px;*/
/*        min-height: 520px;*/
    }
    body.home .wp-block-kadence-column.sidebar article.kt-blocks-post-grid-item {
        border-bottom: 0px !important;
        padding-bottom: 0px !important;
        padding-top: 0px !important;
    }
        body.home .wp-block-kadence-column.main a.kb-button{
        max-width: 31%;
    }
    body.home .wp-block-kadence-column.sidebar{
        margin-top: 35px;
    }

}
@media only screen and (min-width:1025px) and (max-width:1200px){
    #main-header {
        display: none !important;
    }
    #mobile-header{
        display: block !important;
    }
    body.home .wp-block-kadence-column.main,
    body.home .wp-block-kadence-column.main .wp-block-kadence-postgrid,
    body.home .wp-block-kadence-column.main article.kt-blocks-post-grid-item,
    body.home .wp-block-kadence-column.sidebar {
/*        height: 514px;*/
/*        min-height: 514px;*/
    }
    body.home .wp-block-kadence-column.main .wp-block-kadence-advancedbtn{
        margin-top: -65px !important;
    }
    body.home .wp-block-kadence-column.main a.kb-button{
        max-width: 30%;
        padding: 1em !important;
        font-size: 16px !important;
    }

}

@media only screen and (min-width:1200px) and (max-width:1439px){
    .header-navigation li.menu-item {
        margin: 0 3px !important;
    }
        #main-header .header-button.button-size-custom {
/*        padding: 7px 15px !important;*/
    }
    .header-navigation a{
        font-size: 16px !important;
/*        padding: 4px 8px !important;*/
    }
    body.home .wp-block-kadence-column.main,
    body.home .wp-block-kadence-column.main .wp-block-kadence-postgrid,
    body.home .wp-block-kadence-column.main article.kt-blocks-post-grid-item,
    body.home .wp-block-kadence-column.sidebar {
/*        height: 635px;*/
/*        min-height: 635px;*/
    }
    body.home .wp-block-kadence-column.main a.kb-button{
        max-width: 31%;
    }

}
@media only screen and (min-width:1025px) and (max-width:1350px){
    body.home .wp-block-kadence-column.sidebar article.kt-blocks-post-grid-item:last-child {
        display: none;
    }
    body.home .wp-block-kadence-column.sidebar article.kt-blocks-post-grid-item:nth-child(2){
        border-bottom: 0px !important;
        padding-bottom: 0px !important;
    }
}
@media only screen and (min-width:1440px){
    body.home .wp-block-kadence-column.main a.kb-button{
        max-width: 32%;
    }
}
@media only screen and (min-width:1520px){
    body.home .wp-block-kadence-column.main,
    body.home .wp-block-kadence-column.main .wp-block-kadence-postgrid,
    body.home .wp-block-kadence-column.main article.kt-blocks-post-grid-item,
    body.home .wp-block-kadence-column.sidebar {
        height: 680px;
    }
}


.kt-blocks-post-grid-item-inner header .entry-title a {
      font-weight:bold !important;
}
.kt-blocks-post-grid-item-inner header,
header.entry-header {
    display: flex;
    flex-direction: column;
}

/*.kt-blocks-post-grid-item-inner header .kt-blocks-above-categories,
header.entry-header .entry-taxonomies{
    order: 1;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
}*/
.kt-blocks-post-grid-item-inner header .kt-blocks-post-top-meta,
header.entry-header .entry-meta.entry-meta-divider-dot{
    order: 2;
    margin: 4px 0;
}
.kt-blocks-post-grid-item-inner header .entry-title,
header.entry-header .entry-title{
    order: 3;
}
.kt-blocks-post-grid-item-inner header .entry-content,
header.entry-header .entry-summary{
    order: 4;
}
.kt-blocks-post-grid-item-inner header .entry-content,
header.entry-header .entry-footer{
    order: 5;
}

.kt-blocks-date,
a.post-more-link,
a.kt-blocks-post-readmore,
.kt-blocks-post-grid-item-inner .entry-content,
.loop-entry .entry-summary p, 
.loop-entry .entry-header .entry-meta,
time.entry-date.published {
    font-size: 16px !important;
    font-weight: 500 !important;
    letter-spacing: 0 !important;
}
a.post-more-link,
a.kt-blocks-post-readmore{
    text-transform: inherit !important;
    text-decoration: underline !important;
}
a.post-more-link .kadence-svg-iconset {
    display: none !important;
}
.entry-taxonomies .category-style-normal a,
.entry-taxonomies .category-style-pill a,
.kt-blocks-above-categories a{
    display: flex;
    flex-wrap: wrap;
    margin-right: 0.25rem;
    margin-bottom: 0.25rem;
    display: inline-block;
    line-height: 1.2;
}

.entry-taxonomies .category-style-normal a,
.entry-taxonomies .category-style-pill a,
.kt-blocks-above-categories a{
    border-radius:100px !important;
    font-size: 15px !important;
    font-family: Barlow !important;
    text-transform: uppercase !important;
    font-weight: 500 !important;
    padding: 0.5rem 0.75rem !important;
}

.entry-taxonomies .category-style-pill a:hover,
.kt-blocks-above-categories a:hover{
    opacity: 0.8;
}
/* À vos agendas */
.category-style-pill > a[data-term-id="5"],
.category-style-normal > a[data-term-id="5"],
.kt-blocks-above-categories > a[data-term-id="5"]{
    background:#e85740 !important;
    color:white !important;
}
/*body.archive.category-5 .entry-hero-container-inner h1.page-title.archive-title{
    color:#000 !important;
}*/
/* Actualités */
.category-style-pill > a[data-term-id="10"],
.category-style-normal > a[data-term-id="10"],
.kt-blocks-above-categories > a[data-term-id="10"]{
    background-color:#A20A36 !important;
    color:var(--global-palette9) !important;
}
/* Bienvenu à bord */
.category-style-pill > a[data-term-id="8"],
.category-style-normal > a[data-term-id="8"],
.kt-blocks-above-categories > a[data-term-id="8"]{
    background-color:#45526b !important;
    color:var(--global-palette9) !important;
}
/* Embarquez avec nous */
.category-style-pill > a[data-term-id="7"],
.category-style-normal > a[data-term-id="7"],
.kt-blocks-above-categories > a[data-term-id="7"]{
    background-color:#1b3f79 !important;
    color:var(--global-palette9 ) !important;
}
/* Nouvelles */
.category-style-pill > a[data-term-id="1"],
.category-style-normal > a[data-term-id="1"],
.kt-blocks-above-categories > a[data-term-id="1"]{
    background-color:#004346 !important;
    color:var(--global-palette9) !important;
}
/* Portraits */
.category-style-pill > a[data-term-id="6"],
.category-style-normal > a[data-term-id="6"],
.kt-blocks-above-categories > a[data-term-id="6"]{
    background-color:#1FB4A7 !important;
    color:white !important;
}
/* Quoi de neuf */
.category-style-pill > a[data-term-id="4"],
.category-style-normal > a[data-term-id="4"],
.kt-blocks-above-categories > a[data-term-id="4"]{
    background-color:#004346 !important;
    color:var(--global-palette9) !important;
}
/* Sur le réseau */
.category-style-pill > a[data-term-id="9"],
.category-style-normal > a[data-term-id="9"],
.kt-blocks-above-categories > a[data-term-id="9"]{
    background-color:#F59A2F !important;
    color:white !important;
}


/****
  TABLES
****/

    .wp-block-table thead {
        border-bottom: 0px !important;
        background: var(--global-palette1);
        color: white;
    }
    .wp-block-table th{
        padding: 1.5em !important;
        border: 0px !important;
        border-bottom: 1px solid var(--global-palette1) !important;
        text-align: left;
        font-weight: 600;
    }
    .wp-block-table td{
        padding: 1.5em !important;
        border: 0px !important;
        border-bottom: 1px solid var(--global-palette1) !important;
    }

@media only screen and (max-width: 760px), (min-device-width: 768px) and (max-device-width: 1024px)  {

    .wp-block-table table {
      width: 100%;
      border-collapse: collapse;
    }
    .wp-block-table table th {
      background: #333;
      color: white;
      font-weight: bold;
    }
    .wp-block-table table td, .wp-block-table table th {
      padding: 1em !important;
      text-align: left;
      min-height: 40px;
    }
    /* Force table to not be like tables anymore */
    .wp-block-table table, .wp-block-table table thead, .wp-block-table table tbody, .wp-block-table table th, .wp-block-table table td, .wp-block-table table tr {
        display: block;
    }
    /* Hide table headers (but not display: none;, for accessibility) */
    .wp-block-table table thead {
        display: none;
    }
    .wp-block-table table thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }
    .wp-block-table table tr { 
        border: 1px solid var(--global-palette2); 
        border-bottom: 0px;
    }
    .wp-block-table table td {
        /* Behave  like a "row" */
        border: none;
        border-bottom: 1px solid var(--global-palette2) !important;
        position: relative;
        padding-left: 50% !important;
        display: block;
        align-items: center;
    }
    .wp-block-table table td:before {
        /* Now like a table header */
        position: absolute;
        /* Top/left values mimic padding */
        top: 1em;
        left: 10px;
        width: 45%;
        padding-right: 10px;
        white-space: nowrap;
        color: white;
    }
    
    /*
    CSS alternatif
    */
    /*
    .wp-block-table table tr:nth-of-type(odd) {
      background: #eee;
    }
    */

    .wp-block-table table tbody tr {
        position: relative;
        margin-bottom: 20px;
    }
    .wp-block-table table tbody tr td {
        padding: 0;
        margin: 0;
    }
    .wp-block-table table tbody tr:before {
        background-color: var(--global-palette1);
        content: " ";
        position: absolute;
        top: 0;
        left: 0;
        width: 47%;
        padding-right: 10px;
        white-space: nowrap;
        height: 100%;
    }
}


/****
  FLUENT FORM 
****/

input[type="radio"]{
    accent-color: var(--global-palette1) !important;
}



/****
FOOTER
****/

.site-middle-footer-inner-wrap{
    align-items: start;
}
.site-bottom-footer-inner-wrap {
    align-items: center;
}
.site-footer-row-container-inner .site-container {
    padding: 0px;
}
.standish-logo{
  margin-top: -7px;
}
.standish-logo img{
  width: 100px;
}
@media only screen and (max-width: 768px){
    .site-bottom-footer-inner-wrap .footer-widget-area-inner{
        justify-content: center;
    }
}

/****
ICONS SETTINGS 
****/

/* Icons dans un bouton plus grand que le texte */
a.kt-button.taclass{
	display: flex;
    align-items: center;
}
a.kt-button.taclass svg {
    font-size: 21px;
    width: 25px;
    height: auto;
}

.newsletter-form .kb-form .kadence-blocks-form-field{
  margin-bottom: 0px;
}


/****
    STANDISH MASTER CLASS
****/

.trunc p{
  display: -webkit-box;
  -webkit-line-clamp: 5; /* Display 5 lines by default */
  -webkit-box-orient: vertical;
  overflow: hidden;
}

@media (max-width: 767px) {
  .trunc p {
    -webkit-line-clamp: 2; /* Display 2 lines on screens narrower than 767px */
  }
}


/*@font-face {
  font-family: 'icomoon';
  src:  url('/wp-content/themes/standish/assets/fonts/icomoon.eot');
  src:  url('/wp-content/themes/standish/assets/fonts/icomoon.eot#iefix') format('embedded-opentype'),
    url('/wp-content/themes/standish/assets/fonts/icomoon.woff2') format('woff2'),
    url('/wp-content/themes/standish/assets/fonts/icomoon.ttf') format('truetype'),
    url('/wp-content/themes/standish/assets/fonts/icomoon.woff') format('woff'),
    url('/wp-content/themes/standish/assets/fonts/icomoon.svg#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon-"], [class*=" icon-"] {
  font-family: 'icomoon' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

span.icon-tv:before {
  content: "\e900" !important;
}*/